% Etape 2 : construction des matrices et vecteurs globaux

% application des conditions aux limites

% sauvegarde du second membre
fg0 = fg;

% boucle sur les ddl sollicits
[ncond,n2] = size(condlim);      % nombre de conditions aux limites
for icond=1:ncond
  in   = condlim(icond,1);       % numro du noeud
  iddl = condlim(icond,2);       % numro du ddl
  val  = condlim(icond,3);       % valeur impose
   
  ieq  = (in - 1) * ndln + iddl; % numro global du ddl impos
  
  for i=1:neq
      % retrancher au second membre la colonne de la matrice globale  
	  %         multiplie par la valeur impose
      fg(i,1) = fg(i,1) - val * kg(i,ieq);
      % annuler la ligne et la colonne de la matrice globale
      kg(i,ieq) = 0.;
      kg(ieq,i) = 0.;
  end
  
  % mettre un 1 sur la diagonale de la matrice globale
  kg(ieq,ieq) = 1.;
  % mettre la valeur impose en ligne "icond" du vecteur second membre
  fg(ieq,1) = val;

end

% impression de la matrice globale
if print > 2
  disp('matrice globale avec conditions aux limites : ');
  disp(kg);
end

% impression du vecteur second membre
if print > 1
  disp('vecteur second membre avec conditions aux limites : ');
  disp(fg);
end
