% Calcul des gradients lmentaires 
%       des lments de type 3

    % coordonnes des noeuds
    x1 = xnel(1,1); x2 = xnel(2,1); x3 = xnel(3,1);
    y1 = xnel(1,2); y2 = xnel(2,2); y3 = xnel(3,2);
    x21 = x2 - x1; x31 = x3 - x1; 
    y21 = y2 - y1; y31 = y3 - y1;
    % centre de gravit
    xg = (x1 + x2 + x3)/3.;
    yg = (y1 + y2 + y3)/3.;
    aire2 = abs(x21 * y31 - x31 * y21); aire = aire2/2.;
    % matrice jacobienne inverse
          jinv = [y31,-y21;-x31,x21] / aire2;
    % matrice B(2,3)
           matb = zeros(2,3);
    ih = 2;
    for i=1:ih
	      matb(i,1) = -(jinv(i,1) + jinv(i,2));
          matb(i,2) = jinv(i,1);
          matb(i,3) = jinv(i,2);
    end;
    % matrice D
          coef = prelel(1,1) * prelel(1,2);
    matd = [coef,0.;0.,coef];
    % gradient
    grad = matb * unel;
    % flux
    flux = matd * grad;
    norm = flux(1,1)^2 + flux(2,1)^2;
    % impression
    string = sprintf('lment : %3i',iel); disp(string);
	string = sprintf('      gradient        : %6.3f %6.3f',grad);
	disp(string);
    string = sprintf('      flux en x et y  : %6.3f %6.3f',flux);
	disp(string);
    string = sprintf('      norme du flux   : %6.3f %6.3f',norm);
	disp(string);

