% Calcul de la matrice de masse lmentaire des lments de type 4

% proprits lmentaires 
%       prelel(1,1) : module d'Young
%       prelel(1,2) : coefficient de Poisson
%       prelel(1,3) : 0 = contraintes planes, 1 = dformations planes
%       prelel(1,4) : masse spcifique

% matrice de masse lmentaire

    % calcul du nombre, des coordonnes et des poids des points de Gauss
    % (dj calcul lors de la	construction de la matrice de rigidit)
	
	% calcul des valeurs des fonctions de forme de rfrence aux PG
    % (dj calcul lors de la	construction de la matrice de rigidit)
	
	% initialiser la masse lmentaire
	idle = inel * ndln;
	me = zeros(idle,idle);
    % initialiser la matrice N
	N = zeros(2,16);
	point_N = [1,3,5,7,9,11,13,15];
	
    % boucle sur les points de Gauss
	for ig=1:ipg
	  % calcul du jacobien jac, de son inverse jinv, et de son dterminant detj
	  jac = [nki(ig,:);nei(ig,:)] * xnel; detj = det(jac);
	  % construction de la matrice B
	  N(1,point_N)   = ni(ig,:);
	  N(2,1+point_N) = ni(ig,:);
	  % mise  jour de la matrice de masse au PG
	  me = me + N' * N * cpg(ig) * detj * prelel(1,4);
	end
   
