% Calcul de la matrice de masse lmentaire des lments de type 4

% proprits lmentaires 
%       prelel(1,1) : module d'Young
%       prelel(1,2) : coefficient de Poisson
%       prelel(1,3) : non utilis
%       prelel(1,4) : masse spcifique
%       prelel(1,5) : force de volume de sens x
%       prelel(1,6) : force de volume de sens y
%       prelel(1,7) : force de volume de sens z

% matrice de masse lmentaire

    % calcul du nombre, des coordonnes et des poids des points de Gauss
    % (dj calcul lors de la	construction de la matrice de rigidit)
	
	% calcul des valeurs des fonctions de forme de rfrence aux PG
    % (dj calcul lors de la	construction de la matrice de rigidit)
	
	% initialiser la masse lmentaire
	idle = inel * ndln;
	me = zeros(idle,idle);
    % initialiser la matrice N
	N = zeros(3,24);
	point_N = [1,4,7,10,13,16,19,22];
	
    % boucle sur les points de Gauss
	for ig=1:ipg
	  % calcul du jacobien jac, de son inverse jinv, et de son dterminant detj
	  jac = [nki(ig,:);nei(ig,:);ndi(ig,:)] * xnel; detj = det(jac);
	  % construction due la matrice N
	  N(1,point_N)   = ni(ig,:);
	  N(2,1+point_N) = ni(ig,:);
	  N(3,2+point_N) = ni(ig,:);
	  % mise  jour de la matrice de masse au PG
	  me = me + N' * N * cpg(ig) * detj * prelel(1,4);
	end
   
