Logiciel d'initiation 
 la mthode des lments finis

(Gilbert Touzot, fvrier 1997)
_________________________

Introduction 

Ce document met en uvre la mthode des lments finis, dune manire cohrente avec le livre "Une prsentation de la mthode des lments finis" de G.Dhatt et G.Touzot, dit par Maloine.
La mthode des lments finis est une mthode de discrtisation des quations aux drives partielle, trs utilise dans la simulation en sciences de l'ingnieur. Elle s'applique en particulier  la mcanique des solides et des fluides,  la thermique,  l'lectromagntique et  l'lectrodynamique,  l'hydraulique,...

Trs brivement la mthode des lments consiste en les tapes suivantes :


Etape 1 : Entre des donnes qui dfinissent le problme trait


   - Dfinition du domaine de dfinition (1, 2 ou 3 dimensions) des quations par la spcification :
         - de points de discrtisation (ou nuds) en lesquels seront dfinies les grandeurs inconnues
         - de sous domaines de formes simples (ou lments) telles que des segments de droite  1 dimension, des 
              triangles  2 dimensions, des ttradres ou hexadres  3 dimensions. 
         Chaque lment est dfini par une liste de nuds.
   - Dfinition des proprits physiques des matriaux qui consituent les milieux tudis
   - Dfinition des sollicitations externes auxquels sont soumis les milieux tudis : forces, sources de chaleur, ...
   - Dfinition des "conditions aux limites" imposes sur la portion du contour du domaine tudi  sur laquelle la
          valeur des inconnues est impose.
		  
		     
 Etape 2 : Construction des matrices et vecteurs qui dfinissent le problme 
               discrtis
			   
			   
    Construction, selon le type de problme pos (stationnaire ou non, premier ou second ordre 
    par rapport au temps) de :
    
               - matrice de rigidit
               - matrice de masse
               - matrice d'amortissement
               - vecteur second membre
               - ...
   Cette tape fait intervenir les quations aux drives partielles qui rgissent le systme  physique
   tudi. Ces quations sont exprimes sous une forme faible (forme variationnelle) et discrtise, 
   grce  la technique"d'interpolation par lments".
   
      
Etape 3 : Rsolution du problme discrtis par rapport aux variables d'espace


    Selon le problme considr, cette tape peut consister en :
    
             - la rsolution d'un systme d'quations algbriques linaires, par une mthode directe
               ou itrative
             - calcul des valeurs et vecteurs propres d'un systme
             - la rsolution itrative d'un systme d'quations algbriques non linaires par une 
               mthode du type Newton-Raphson
             - l'intgration par rapport au temps d'un systme d'quations diffrentielles par rapport 
               au temps, du premier ou du second ordre
			   
			                
Etape 4 : Post-traitement


    Cette tape peut consister en :
    
             - le calcul,  partir de la solution obtenue, de variables secondaires, en gnral lies
               aux drives de la solution par rapport aux variables d'espace : dformations, 
               contraintes, gradients de pression ou de tempratures, ...
             - le calcul des rsidus de dsquilibre nodaux, qui permettent d'valuer la qualit de la 
               solution, et d'obtenir les ractions correspondant  des degrs de libert imposs par des
               conditions aux limites
             - la prsentation graphique des diffrents rsultats.
			 
			              
Exemples :


             - lment de type 1 : barre lastique  1 dimension et 2 nuds
             - lment de type 2 : barre lastique  3 dimension et 2 nuds
             - lment de type 3 : triangle lastique  2 dimensions et 3 nuds
			 
			              
Remarques :


          - pour excuter l'exemple numro "n", il suffit d'imposer "nexemple = n"
             - les informations  qui constituent des donnes d'entre sont commentes en rouge
			 
