% Calcul les gradients des lments de type 5

% proprits lmentaires 
%       prelel(1,1) : module d'Young
%       prelel(1,2) : coefficient de Poisson
%       prelel(1,3) : non utilis
%       prelel(1,4) : masse spcifique
%       prelel(1,5) : force de volume de sens x
%       prelel(1,6) : force de volume de sens y
%       prelel(1,7) : force de volume de sens z

% gradients

    % calcul du nombre, des coordonnes et des poids des points de Gauss
    % (dj calcul lors de la	construction de la matrice de rigidit)
	
	% calcul des valeurs des fonctions de forme de rfrence aux PG
    % (dj calcul lors de la	construction de la matrice de rigidit)
	
	% initialiser le rsidu lmentaire
	idle = inel * ndln;
% construction de la matrice D
	e =  prelel(1,1); nu = prelel(1,2);
	c1 = e*(1-nu)/((1+nu)*(1-2*nu));
	c2 = c1*nu/(1-nu);
	c3 = e/(2*(1+nu));
	D = [c1, c2, c2,  0,  0,  0; ...
	     c2, c1, c2,  0,  0,  0; ...
		 c2, c2, c1,  0,  0,  0; ...
		  0,  0,  0, c3,  0,  0; ...
		  0,  0,  0,  0, c3,  0; ...
		  0,  0,  0,  0,  0, c3];
    % initialiser la matrice B
	B = zeros(6,24);
	point_B = [1,4,7,10,13,16,19,22];
	
    % boucle sur les points de Gauss
   string = sprintf('lment : %3i',iel); disp(string);
	for ig=1:ipg
	  % calcul du jacobien jac, de son inverse jinv, et de son dterminant detj
	  jac = [nki(ig,:);nei(ig,:);ndi(ig,:)] * xnel;
	  jinv = inv(jac); detj = det(jac);
	  % calcul des drives des fonctions de forme sur l'lment rel
	  nxi = jinv(1,:) * [nki(ig,:);nei(ig,:);ndi(ig,:)];
	  nyi = jinv(2,:) * [nki(ig,:);nei(ig,:);ndi(ig,:)];
	  nzi = jinv(3,:) * [nki(ig,:);nei(ig,:);ndi(ig,:)];
	  % construction de la matrice B
	  B(1,point_B)   = nxi;  % eps_x
	  B(2,1+point_B) = nyi;  % eps_y
	  B(3,2+point_B) = nzi;  % eps_z
	  B(4,point_B)   = nyi;  % eps_xy 
	  B(4,1+point_B) = nxi;
	  B(5,1+point_B) = nzi;  % eps_yz
	  B(5,2+point_B) = nyi;
	  B(6,point_B)   = nzi;  % eps_xz 
	  B(6,2+point_B) = nxi;
	  % dformations
	  eps = B * unel;
	  % contraintes
	  sigma = D * eps;
    % impression
	string = sprintf('  PG   : %3i',ig); disp(string);
	string = sprintf('    dformations  : %6.3f %6.3f %6.3f %6.3f %6.3f %6.3f',...
	                 eps');
	disp(string);
    string = sprintf('    contraintes   : %6.3f %6.3f %6.3f %6.3f %6.3f %6.3f',...
	                sigma);
	disp(string);
  end
   
